<?php

namespace app\entity\gateway\script;

abstract class BaseScript
{
    public function __construct(array $_bind = [])
    {
        foreach ($_bind as $key => $value) {
            $this->$key = $value;
        }
    }

    public function toArray(): array
    {
        return get_object_vars($this);
    }
}